diff --git a/t/007util.t b/t/007util.t
index 94f62dfc1..8b655fa59 100644
--- a/t/007util.t
+++ b/t/007util.t
@@ -9,11 +9,11 @@
 #Bugzilla Test 7#
 #####Util.pm#####
 
-use 5.10.1;
+use 5.14.0;
 use strict;
 use warnings;
 
-use lib 't';
+use lib qw(. lib t);
 use Support::Files;
 use Test::More tests => 17;
 use DateTime;
diff --git a/t/008filter.t b/t/008filter.t
index b60a97579..3541d5ff0 100644
--- a/t/008filter.t
+++ b/t/008filter.t
@@ -15,7 +15,7 @@
 
 # Sample exploit code: '>"><script>alert('Oh dear...')</script>
 
-use 5.10.1;
+use 5.14.0;
 use strict;
 use warnings;
 
diff --git a/t/009bugwords.t b/t/009bugwords.t
index da432e114..7bd762af1 100644
--- a/t/009bugwords.t
+++ b/t/009bugwords.t
@@ -15,11 +15,11 @@
 # "[% terms.bug %]". This test makes sure the relevant words aren't used
 # bare.
 
-use 5.10.1;
+use 5.14.0;
 use strict;
 use warnings;
 
-use lib 't';
+use lib qw(. t lib);
 
 use Support::Files;
 use Support::Templates;
diff --git a/t/010dependencies.t b/t/010dependencies.t
index b600766b6..552ead111 100644
--- a/t/010dependencies.t
+++ b/t/010dependencies.t
@@ -10,7 +10,7 @@
 #Bugzilla Test 10#
 ## dependencies ##
 
-use 5.10.1;
+use 5.14.0;
 use strict;
 use warnings;
 
@@ -71,7 +71,7 @@ foreach my $module (keys %mods) {
         $used =~ s#/#::#g;
         $used =~ s#\.pm$##;
         $used =~ s#\$module#[^:]+#;
-        $used =~ s#\${[^}]+}#[^:]+#;
+        $used =~ s#\$\{[^}]+\}#[^:]+#;
         $used =~ s#[" ]##g;
         push(@use, grep(/^\Q$used\E$/, keys %mods));
       }
diff --git a/t/011pod.t b/t/011pod.t
index 2930ea112..bfd4cedd8 100644
--- a/t/011pod.t
+++ b/t/011pod.t
@@ -10,11 +10,11 @@
 #Bugzilla Test 11#
 ##POD validation##
 
-use 5.10.1;
+use 5.14.0;
 use strict;
 use warnings;
 
-use lib 't';
+use lib qw(. lib t);
 
 use Support::Files;
 use Pod::Checker;
diff --git a/t/012throwables.t b/t/012throwables.t
index 6b092d8c2..36bee57df 100644
--- a/t/012throwables.t
+++ b/t/012throwables.t
@@ -10,7 +10,7 @@
 #Bugzilla Test 12#
 ######Errors######
 
-use 5.10.1;
+use 5.14.0;
 use strict;
 use warnings;
 
diff --git a/t/013dbschema.t b/t/013dbschema.t
index 062a22992..63003265f 100644
--- a/t/013dbschema.t
+++ b/t/013dbschema.t
@@ -12,13 +12,14 @@
 # Check the Bugzilla database schema to ensure no field names conflict
 # with SQL reserved words.
 
-use 5.10.1;
+use 5.14.0;
 use strict;
 use warnings;
 
 use lib qw(. t lib);
 use Bugzilla;
 use Bugzilla::DB::Schema;
+use Bugzilla::DB::Schema::Mysql;
 
 
 # SQL reserved words
@@ -57,7 +58,8 @@ our $schema;
 our @tables;
 
 BEGIN {
-  $schema = Bugzilla::DB::Schema->new("Mysql");
+  our $fake_db = bless {}, 'Bugzilla::DB';
+  $schema = Bugzilla::DB::Schema::Mysql->new(db => $fake_db);
   @tables = $schema->get_table_list();
 }
 
diff --git a/t/Support/Files.pm b/t/Support/Files.pm
index 72737ac1f..3ed3653f6 100644
--- a/t/Support/Files.pm
+++ b/t/Support/Files.pm
@@ -8,7 +8,7 @@
 
 package Support::Files;
 
-use 5.10.1;
+use 5.14.0;
 use strict;
 use warnings;
 
diff --git a/t/Support/Systemexec.pm b/t/Support/Systemexec.pm
index e73763f8f..202c6467f 100644
--- a/t/Support/Systemexec.pm
+++ b/t/Support/Systemexec.pm
@@ -7,11 +7,11 @@
 
 package Support::Systemexec;
 
-use 5.10.1;
+use 5.14.0;
 use strict;
 use warnings;
 
-use parent qw(Exporter);
+use base qw(Exporter);
 @Support::Systemexec::EXPORT = qw(system exec);
 
 sub system($$@) {
diff --git a/t/Support/Templates.pm b/t/Support/Templates.pm
index e08686e0f..c45bba21b 100644
--- a/t/Support/Templates.pm
+++ b/t/Support/Templates.pm
@@ -7,12 +7,12 @@
 
 package Support::Templates;
 
-use 5.10.1;
+use 5.14.0;
 use strict;
 use warnings;
 
 use lib 't';
-use parent qw(Exporter);
+use base qw(Exporter);
 @Support::Templates::EXPORT
   = qw(@languages @include_paths @english_default_include_paths
   @referenced_files %actual_files $num_actual_files);
diff --git a/testagent.cgi b/testagent.cgi
index d9d5afd1a..7e97f07dc 100755
--- a/testagent.cgi
+++ b/testagent.cgi
@@ -10,7 +10,7 @@
 # are being run instead of shown. This script does not rely on database access
 # or correct params.
 
-use 5.10.1;
+use 5.14.0;
 use strict;
 use warnings;
 
diff --git a/testserver.pl b/testserver.pl
index 3c01a550e..3f8784618 100755
--- a/testserver.pl
+++ b/testserver.pl
@@ -10,7 +10,7 @@
 # as its only argument.  It attempts to troubleshoot as many installation
 # issues as possible.
 
-use 5.10.1;
+use 5.14.0;
 use strict;
 use warnings;
 
@@ -26,13 +26,17 @@ my $datadir = bz_locations()->{'datadir'};
 
 eval "require LWP; require LWP::UserAgent;";
 my $lwp = $@ ? 0 : 1;
+eval "require LWP::Protocol::https;";
+my $lwpssl = $@ ? 0 : 1;
 
-if ((@ARGV != 1) || ($ARGV[0] !~ /^https?:/i)) {
-  say "Usage: $0 <URL to this Bugzilla installation>";
+if ((@ARGV < 1) || (@ARGV > 2) || ($ARGV[0] !~ /^https?:/i) || (defined($ARGV[1]) && $ARGV[1] ne '--self-signed')) {
+  say "Usage: $0 <URL to this Bugzilla installation> [--self-signed]";
   say "e.g.:  $0 http://www.mycompany.com/bugzilla";
+  say "";
+  say "Pass --self-signed to prevent hostname verification of SSL certificates if needed.";
   exit(1);
 }
-
+my $selfsigned = defined($ARGV[1]) ? 1 : 0;
 
 # Try to determine the GID used by the web server.
 my @pscmds
@@ -213,13 +217,25 @@ sub fetch {
   my $url = shift;
   my $rtn;
   if ($lwp) {
-    my $req = HTTP::Request->new(GET => $url);
-    my $ua  = LWP::UserAgent->new;
-    my $res = $ua->request($req);
-    $rtn = ($res->is_success ? $res->content : undef);
+    if ($url =~ /^https:/i && !$lwpssl) {
+      die ("You need LWP::Protocol::https installed to use https with testserver.pl");
+    } else {
+      my $req = HTTP::Request->new(GET => $url);
+      my $ua  = LWP::UserAgent->new;
+      $ua->ssl_opts( verify_hostname => 0 ) if $selfsigned;
+      my $res = $ua->request($req);
+      if (!$res->is_success) {
+        my $errstr = $res->status_line;
+        print $errstr . "\n";
+        if ($errstr =~ m/certificate/) {
+          say "Try passing --self-signed to skip certificate checks."
+        }
+      }
+      $rtn = ($res->is_success ? $res->content : undef);
+    }
   }
   elsif ($url =~ /^https:/i) {
-    die("You need LWP installed to use https with testserver.pl");
+    die("You need LWP (and LWP::Protocol::https, for LWP 6.02 or newer) installed to use https with testserver.pl");
   }
   else {
     my ($host, $port, $file) = ('', 80, '');
diff --git a/token.cgi b/token.cgi
index cb52479b2..4a7f26a89 100755
--- a/token.cgi
+++ b/token.cgi
@@ -6,7 +6,7 @@
 # This Source Code Form is "Incompatible With Secondary Licenses", as
 # defined by the Mozilla Public License, v. 2.0.
 
-use 5.10.1;
+use 5.14.0;
 use strict;
 use warnings;
 
diff --git a/userprefs.cgi b/userprefs.cgi
index 4c2ad1f15..9faada1c2 100755
--- a/userprefs.cgi
+++ b/userprefs.cgi
@@ -6,7 +6,7 @@
 # This Source Code Form is "Incompatible With Secondary Licenses", as
 # defined by the Mozilla Public License, v. 2.0.
 
-use 5.10.1;
+use 5.14.0;
 use strict;
 use warnings;
 
@@ -390,18 +390,19 @@ sub DoPermissions {
   my (@has_bits, @set_bits);
 
   my $groups
-    = $dbh->selectall_arrayref(
-        "SELECT DISTINCT name, description FROM groups WHERE id IN ("
+    = $dbh->selectall_arrayref('SELECT DISTINCT name, description FROM '
+      . $dbh->quote_identifier('groups')
+      . ' WHERE id IN ('
       . $user->groups_as_string
-      . ") ORDER BY name");
+      . ') ORDER BY name');
   foreach my $group (@$groups) {
     my ($nam, $desc) = @$group;
     push(@has_bits, {"desc" => $desc, "name" => $nam});
   }
   $groups = $dbh->selectall_arrayref(
     'SELECT DISTINCT id, name, description
-                                          FROM groups
-                                         ORDER BY name'
+       FROM ' . $dbh->quote_identifier('groups') . '
+      ORDER BY name'
   );
   foreach my $group (@$groups) {
     my ($group_id, $nam, $desc) = @$group;
diff --git a/votes.cgi b/votes.cgi
index 83f36dc6b..6373f2b91 100755
--- a/votes.cgi
+++ b/votes.cgi
@@ -9,7 +9,7 @@
 # This script remains as a backwards-compatibility URL for before
 # the time that Voting was an extension.
 
-use 5.10.1;
+use 5.14.0;
 use strict;
 use warnings;
 
diff --git a/whine.pl b/whine.pl
index 691df886f..b28397c86 100755
--- a/whine.pl
+++ b/whine.pl
@@ -10,7 +10,7 @@
 # Script Initialization
 ################################################################################
 
-use 5.10.1;
+use 5.14.0;
 use strict;
 use warnings;
 
@@ -250,7 +250,8 @@ sub get_next_event {
           }
         }
         elsif ($mailto_type == MAILTO_GROUP) {
-          my $sth = $dbh->prepare("SELECT name FROM groups " . "WHERE id=?");
+          my $sth = $dbh->prepare(
+            'SELECT name FROM ' . $dbh->quote_identifier('groups') . ' WHERE id = ?');
           $sth->execute($mailto);
           my $groupname = $sth->fetch->[0];
           my $group_id  = Bugzilla::Group::ValidateGroupName($groupname, $owner);
diff --git a/whineatnews.pl b/whineatnews.pl
index 07a74a387..8b785d030 100755
--- a/whineatnews.pl
+++ b/whineatnews.pl
@@ -14,7 +14,7 @@
 # param. (We have NEW and REOPENED in there to keep compatibility with old
 # Bugzillas.)
 
-use 5.10.1;
+use 5.14.0;
 use strict;
 use warnings;
 
diff --git a/xmlrpc.cgi b/xmlrpc.cgi
index c0931cb41..4b5230013 100755
--- a/xmlrpc.cgi
+++ b/xmlrpc.cgi
@@ -6,7 +6,7 @@
 # This Source Code Form is "Incompatible With Secondary Licenses", as
 # defined by the Mozilla Public License, v. 2.0.
 
-use 5.10.1;
+use 5.14.0;
 use strict;
 use warnings;
 
diff --git a/xt/lib/Bugzilla/Test/Search/AndTest.pm b/xt/lib/Bugzilla/Test/Search/AndTest.pm
index 6132c0eb6..8df566836 100644
--- a/xt/lib/Bugzilla/Test/Search/AndTest.pm
+++ b/xt/lib/Bugzilla/Test/Search/AndTest.pm
@@ -8,7 +8,7 @@
 # This test combines two field/operator combinations using AND in
 # a single boolean chart.
 package Bugzilla::Test::Search::AndTest;
-use parent qw(Bugzilla::Test::Search::OrTest);
+use base qw(Bugzilla::Test::Search::OrTest);
 
 use Bugzilla::Test::Search::Constants;
 use List::MoreUtils qw(all);
diff --git a/xt/lib/Bugzilla/Test/Search/Constants.pm b/xt/lib/Bugzilla/Test/Search/Constants.pm
index 84080cfe8..fe5b0a7b7 100644
--- a/xt/lib/Bugzilla/Test/Search/Constants.pm
+++ b/xt/lib/Bugzilla/Test/Search/Constants.pm
@@ -12,7 +12,7 @@
 # More detailed information on each constant is available in the comments
 # in this file.
 package Bugzilla::Test::Search::Constants;
-use parent qw(Exporter);
+use base qw(Exporter);
 use Bugzilla::Constants;
 use Bugzilla::Util qw(generate_random_password);
 
@@ -958,10 +958,10 @@ use constant INJECTION_BROKEN_FIELD => {
     search      => 1,
     db_skip     => ['Pg'],
     operator_ok => [qw(allwords allwordssubstr anywordssubstr casesubstring
-        changedbefore changedafter greaterthan greaterthaneq
-        lessthan lessthaneq notregexp notsubstring
-        nowordssubstr regexp substring anywords
-        notequals nowords equals anyexact)],
+      changedbefore changedafter greaterthan greaterthaneq
+      lessthan lessthaneq notregexp notsubstring
+      nowordssubstr regexp substring anywords
+    notequals nowords equals anyexact)],
   },
 };
 
@@ -1115,7 +1115,7 @@ use constant CUSTOM_SEARCH_TESTS => (
     contains => [1],
     columns  => ['assigned_to'],
     params   => [
-      {f => 'bug_id', o => 'equals', v => '<1>'},
+      {f => 'bug_id',      o => 'equals', v => '<1>'},
       {f => 'OP'},
       {f => 'CP'},
       {f => 'assigned_to', o => 'substr', v => '@'},
@@ -1210,8 +1210,8 @@ use constant CUSTOM_SEARCH_TESTS => (
     params     => [
       {f => 'bug_id', o => 'equals', v => '<3>'},
       {f => 'OP'},
-      {f => 'OP', j => 'OR'},
-      {f => 'bug_id', o => 'equals', v => '<1>'},
+      {f => 'OP',          j => 'OR'},
+      {f => 'bug_id',      o => 'equals', v => '<1>'},
       {f => 'assigned_to', o => 'equals', v => '<2>'},
       {f => 'CP'},
       {f => 'OP', j => 'OR'},
@@ -1231,8 +1231,8 @@ use constant CUSTOM_SEARCH_TESTS => (
     params     => [
       {f => 'bug_id', o => 'equals', v => '<3>'},
       {f => 'OP'},
-      {f => 'OP', j => 'OR'},
-      {f => 'bug_id', o => 'equals', v => '<1>'},
+      {f => 'OP',          j => 'OR'},
+      {f => 'bug_id',      o => 'equals', v => '<1>'},
       {f => 'assigned_to', o => 'equals', v => '<2>'},
       {f => 'CP'},
       {f => 'OP', j => 'OR'},
diff --git a/xt/lib/Bugzilla/Test/Search/CustomTest.pm b/xt/lib/Bugzilla/Test/Search/CustomTest.pm
index 7455d4828..ed548baa0 100644
--- a/xt/lib/Bugzilla/Test/Search/CustomTest.pm
+++ b/xt/lib/Bugzilla/Test/Search/CustomTest.pm
@@ -9,7 +9,7 @@
 # Tests like this are specified in CUSTOM_SEARCH_TESTS in
 # Bugzilla::Test::Search::Constants.
 package Bugzilla::Test::Search::CustomTest;
-use parent qw(Bugzilla::Test::Search::FieldTest);
+use base qw(Bugzilla::Test::Search::FieldTest);
 use strict;
 use warnings;
 
@@ -55,7 +55,7 @@ sub debug_value {
 }
 
 # The tests we know are broken for this operator/field combination.
-sub _known_broken { return {} }
+sub _known_broken                      { return {} }
 sub contains_known_broken              { return undef }
 sub search_known_broken                { return undef }
 sub field_not_yet_implemented          { return undef }
diff --git a/xt/lib/Bugzilla/Test/Search/FieldTestNormal.pm b/xt/lib/Bugzilla/Test/Search/FieldTestNormal.pm
index 101c09053..51e353eb3 100644
--- a/xt/lib/Bugzilla/Test/Search/FieldTestNormal.pm
+++ b/xt/lib/Bugzilla/Test/Search/FieldTestNormal.pm
@@ -10,7 +10,7 @@
 package Bugzilla::Test::Search::FieldTestNormal;
 use strict;
 use warnings;
-use parent qw(Bugzilla::Test::Search::FieldTest);
+use base qw(Bugzilla::Test::Search::FieldTest);
 
 use Scalar::Util qw(blessed);
 
diff --git a/xt/lib/Bugzilla/Test/Search/InjectionTest.pm b/xt/lib/Bugzilla/Test/Search/InjectionTest.pm
index f34acc6bb..090841e87 100644
--- a/xt/lib/Bugzilla/Test/Search/InjectionTest.pm
+++ b/xt/lib/Bugzilla/Test/Search/InjectionTest.pm
@@ -8,7 +8,7 @@
 # This module represents the SQL Injection tests that get run on a single
 # operator/field combination for Bugzilla::Test::Search.
 package Bugzilla::Test::Search::InjectionTest;
-use parent qw(Bugzilla::Test::Search::FieldTest);
+use base qw(Bugzilla::Test::Search::FieldTest);
 
 use strict;
 use warnings;
diff --git a/xt/lib/Bugzilla/Test/Search/NotTest.pm b/xt/lib/Bugzilla/Test/Search/NotTest.pm
index ea0ecc5b2..07367960d 100644
--- a/xt/lib/Bugzilla/Test/Search/NotTest.pm
+++ b/xt/lib/Bugzilla/Test/Search/NotTest.pm
@@ -12,7 +12,7 @@
 # it to OrTest and AndTest, but without Moose there isn't much of an
 # easy way to do that.
 package Bugzilla::Test::Search::NotTest;
-use parent qw(Bugzilla::Test::Search::FieldTest);
+use base qw(Bugzilla::Test::Search::FieldTest);
 use strict;
 use warnings;
 use Bugzilla::Test::Search::Constants;
diff --git a/xt/lib/Bugzilla/Test/Search/OrTest.pm b/xt/lib/Bugzilla/Test/Search/OrTest.pm
index ebb16089d..82b4aac69 100644
--- a/xt/lib/Bugzilla/Test/Search/OrTest.pm
+++ b/xt/lib/Bugzilla/Test/Search/OrTest.pm
@@ -8,7 +8,7 @@
 # This test combines two field/operator combinations using OR in
 # a single boolean chart.
 package Bugzilla::Test::Search::OrTest;
-use parent qw(Bugzilla::Test::Search::FieldTest);
+use base qw(Bugzilla::Test::Search::FieldTest);
 
 use Bugzilla::Test::Search::Constants;
 use List::MoreUtils qw(all any uniq);
